<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>HelpOnMacros/EmbedObject</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">HelpOnMacros/EmbedObject</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line867"><table class="navigation"><tr><td>/EmbedObject &nbsp; <a href="./HelpOnMacros(2f)ImageLink.html">/ImageLink</a> &nbsp; <a href="./HelpOnMacros(2f)Include.html">/Include</a> &nbsp; <a href="./HelpOnMacros(2f)MailTo.html">/MailTo</a> &nbsp; <a href="./HelpOnMacros(2f)MonthCalendar.html">/MonthCalendar</a> &nbsp; </td></tr></table> <span class="anchor" id="line-10"></span><br>
<br>
 <span class="anchor" id="line-11"></span><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#EmbedObject">EmbedObject</a><ol><li>
<a href="#Enabling_EmbedObject">Enabling EmbedObject</a></li><li>
<a href="#Syntax_.26_Usage">Syntax &amp; Usage</a></li><li>
<a href="#Examples">Examples</a></li></ol></li></ol></div> <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line867">
<h1 id="EmbedObject">1. EmbedObject</h1>
<span class="anchor" id="line-14"></span><p class="line874">This macro is used to Embed an Object into a wiki page-- objects being things usually handled by plug-ins, such as Flash, PDF, or movies. Optional size of the object could be adjusted. Further keywords are dependent on the kind of application. <span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><p class="line874">If the attachment file isn't uploaded yet the attachment line will be shown. <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line867"><img alt="(!)" height="16" src="/moin_static1911/modern/img/idea.png" title="(!)" width="16" /> New in 1.6: <a href="./MoinMoin.html">MoinMoin</a> has new (for some target types rather experimental) transclusion syntax like this: <tt class="backtick">{{target|desc|params}}</tt>. <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867">
<h2 id="Enabling_EmbedObject">1.1. Enabling EmbedObject</h2>
<span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line867">EmbedObject is an included standard moin macro. However, for security reasons, mimetypes have to be specifically enabled in your wikiconfig.py to enable EmbedObject. <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><ol type="1"><li><p class="line862">In your wikiconfig.py file, under the "Content options" section, add the following lines: <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><pre><span class="anchor" id="line-1"></span>    mimetypes_xss_protect = ['text/html', 'application/x-shockwave-flash', 'application/xhtml+xml',] 
<span class="anchor" id="line-2"></span>
<span class="anchor" id="line-3"></span>    mimetypes_embed = ['application/x-dvi', 'application/postscript', 'application/pdf', 'application/ogg', 'application/vnd.visio', 'image/x-ms-bmp', 'image/svg+xml', 'image/tiff', 'image/x-photoshop', 'audio/mpeg', 'audio/midi', 'audio/x-wav', 'video/fli', 'video/mpeg', 'video/quicktime', 'video/x-msvideo', 'chemical/x-pdb', 'x-world/x-vrml',] </pre><span class="anchor" id="line-29"></span></li><li><p class="line862">You should specifically add and/or remove content types from the <tt>mimetypes_embed</tt> to only those you need to use on your site. For example, if you need Flash, move the <tt>'application/x-shockwave-flash'</tt> from the <tt>mimetypes_xss_protect</tt> to the <tt>mimetypes_embed</tt> line. <span class="anchor" id="line-30"></span><span class="anchor" id="line-31"></span></li></ol><p class="line867"><em>see related: <a href="./HelpOnConfiguration.html">HelpOnConfiguration</a> </em> <span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span><p class="line867"><strong>supported mimetypes:</strong> <span class="anchor" id="line-34"></span><ul><li style="list-style-type:none">application/x-shockwave-flash <span class="anchor" id="line-35"></span></li><li style="list-style-type:none">application/x-dvi <span class="anchor" id="line-36"></span></li><li style="list-style-type:none">application/postscript <span class="anchor" id="line-37"></span></li><li style="list-style-type:none">application/pdf <span class="anchor" id="line-38"></span></li><li style="list-style-type:none">application/ogg <span class="anchor" id="line-39"></span></li><li style="list-style-type:none">application/vnd.visio  <span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span></li><li class="gap" style="list-style-type:none">image/x-ms-bmp <span class="anchor" id="line-42"></span></li><li style="list-style-type:none">image/svg+xml <span class="anchor" id="line-43"></span></li><li style="list-style-type:none">image/tiff <span class="anchor" id="line-44"></span></li><li style="list-style-type:none">image/x-photoshop <span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span></li><li class="gap" style="list-style-type:none">audio/mpeg <span class="anchor" id="line-47"></span></li><li style="list-style-type:none">audio/midi <span class="anchor" id="line-48"></span></li><li style="list-style-type:none">audio/x-wav <span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span></li><li class="gap" style="list-style-type:none">video/fli <span class="anchor" id="line-51"></span></li><li style="list-style-type:none">video/mpeg <span class="anchor" id="line-52"></span></li><li style="list-style-type:none">video/quicktime <span class="anchor" id="line-53"></span></li><li style="list-style-type:none">video/x-msvideo <span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span></li><li class="gap" style="list-style-type:none">chemical/x-pdb <span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span></li><li class="gap" style="list-style-type:none">x-world/x-vrml   <span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span></li></ul><p class="line867">
<h2 id="Syntax_.26_Usage">1.2. Syntax &amp; Usage</h2>
<span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><p class="line867"><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><pre><span class="anchor" id="line-1-1"></span>&lt;&lt;EmbedObject(attachment[,option][,option])&gt;&gt;</pre><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><p class="line867"><strong>Keyword Parameters:</strong> <span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><p class="line874">Dependent on the mimetype class a different set of keywords is used from the defaults: <span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><p class="line867"><span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span><span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><pre><span class="anchor" id="line-1-2"></span>  width = None, float
<span class="anchor" id="line-2-1"></span>  height = None, float
<span class="anchor" id="line-3-1"></span>  pagename = None, unicode
<span class="anchor" id="line-4"></span>  align = middle
<span class="anchor" id="line-5"></span>  alt = ''
<span class="anchor" id="line-6"></span>  play = False
<span class="anchor" id="line-7"></span>  loop = False
<span class="anchor" id="line-8"></span>  quality = high
<span class="anchor" id="line-9"></span>  op = True
<span class="anchor" id="line-10"></span>  repeat = False
<span class="anchor" id="line-11"></span>  autostart = False
<span class="anchor" id="line-12"></span>  menu = True
<span class="anchor" id="line-13"></span>  hidden = False</pre><span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line862">All mimetypes support width &amp; height parameters. <span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><p class="line867"><img alt="(!)" height="16" src="/moin_static1911/modern/img/idea.png" title="(!)" width="16" /> Since 1.7 <a href="./MoinMoin.html">MoinMoin</a> supports parsing of units. Known units for the parameter width and height are px, em, pt, in, mm and %. <span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><p class="line874">If you don't give a unit the default of px will be used. <span class="anchor" id="line-91"></span><span class="anchor" id="line-92"></span><p class="line874">Additionally: <span class="anchor" id="line-93"></span><ul><li style="list-style-type:none"><p class="line891"><tt>'video'</tt> supports  <tt>&nbsp;repeat,&nbsp;autostart,&nbsp;menu,&nbsp;op&nbsp;</tt> <span class="anchor" id="line-94"></span></li><li style="list-style-type:none"><p class="line891"><tt>'audio'</tt> supports  <tt>&nbsp;play,&nbsp;repeat,&nbsp;autostart,&nbsp;op,&nbsp;hidden&nbsp;</tt> <span class="anchor" id="line-95"></span><ul><li style="list-style-type:none">the default width is 60 and default height is 20 <span class="anchor" id="line-96"></span></li></ul></li><li style="list-style-type:none"><p class="line891"><tt>'application'</tt> supports <tt>play,&nbsp;menu,&nbsp;autostart&nbsp;</tt> <span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span></li></ul><p class="line867">
<h2 id="Examples">1.3. Examples</h2>
<span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><p class="line874">Basic examples: <span class="anchor" id="line-103"></span><span class="anchor" id="line-104"></span><span class="anchor" id="line-105"></span><span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><pre><span class="anchor" id="line-1-3"></span>&lt;&lt;EmbedObject(example.swf)&gt;&gt;
<span class="anchor" id="line-2-2"></span>&lt;&lt;EmbedObject(example.pdf)&gt;&gt;
<span class="anchor" id="line-3-2"></span>&lt;&lt;EmbedObject(example.svg)&gt;&gt;</pre><span class="anchor" id="line-108"></span><span class="anchor" id="line-109"></span><p class="line874">Realistic examples: <span class="anchor" id="line-110"></span><span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><span class="anchor" id="line-113"></span><pre><span class="anchor" id="line-1-4"></span>&lt;&lt;EmbedObject(testpdf.pdf,width=100%,height=600px)&gt;&gt;
<span class="anchor" id="line-2-3"></span>&lt;&lt;EmbedObject(example.swf,width=637px,height=392px,play=true,loop=true)&gt;&gt;</pre><span class="anchor" id="line-114"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:22
</body>
</html>
